Bug 1313125 - [GSS] (6.2.z) Unauthorized (401) when deploying artifact with encrypted server and master passwords
[GSS] (6.2.z) Unauthorized (401) when deploying artifact with encrypted serve...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR1
: 6.2.3
Assigned To: manstis
jsoltes
:
Depends On: 1313124
Blocks: 1327763 1327765
  Show dependency treegraph
 
Reported: 2016-02-29 21:20 EST by Hiroko Miura
Modified: 2016-05-05 10:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313124
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2279 Major Resolved Unauthorized (401) when deploying artifact with encrypted server and master passwords 2016-11-27 21:09 EST

  None (edit)
Description Hiroko Miura 2016-02-29 21:20:12 EST
+++ This bug was initially created as a clone of Bug #1313124 +++

Description of problem:

The project is configured to deploy artifacts to a remote nexus repository. Distribution management is set up in project poms.
The jboss user's ~/.m2/settings.xml is configured with matching repo id, username, and encrypted password. The master password is configured in ~/.m2/settings-security.xml. When a kjar is built, the build fails with a 401 unauthorized error, and artifacts are not published to remote nexus.

This issue has already been fixed in the upstream via this JIRA 

https://issues.jboss.org/browse/GUVNOR-2279 

Kindly fix the same issue for the next CP.



Version-Release number of selected component (if applicable):
6.2.0


How reproducible:
-always 


Steps to Reproduce:
1. configure B*MS6.2.0  project to deploy artifacts to a remote nexus repository by pom.xml in Business Central.

2. encrypt password of remote repository in settings.xml by settings-security.xml
 
   Ref: https://maven.apache.org/guides/mini/guide-encryption.html

3. perform Build&Deploy the project


Actual results:
Deployment fails with error 401.

Expected results:
Deployment succeed.

Additional info:
Comment 4 Lukáš Petrovický 2016-04-14 03:56:32 EDT
This belongs to 6.2.3.
Comment 5 jsoltes 2016-05-05 10:31:23 EDT
I have verified this is fixed and working on BPMS 6.2.3.CR1.

Note You need to log in before you can comment on or make changes to this bug.